#ifndef __AMSSTRING4_UNICODE_HPP__
#define __AMSSTRING4_UNICODE_HPP__

namespace ams
{

int string_to_uccodepoints(const amsstring &str, amsarray<uint32_t> &codepoints);
int string_to_uccodepoints(const amsstring *str, amsarray<uint32_t> *codepoints);

void uccodepoints_to_string(const amsarray<uint32_t> &codepoints, amsstring &str);
void uccodepoints_to_string(const amsarray<uint32_t> *codepoints, amsstring *str);

void test_unicode_ascii_int_conv();
void test_unicode_conv1();

void test_unicode_conv2();


};

#endif

